package com.liang.service.impl;

import com.liang.entity.StaOutttesting;
import com.liang.dao.StaOutttestingDao;
import com.liang.service.StaOutttestingService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;
import java.util.List;

/**
 * 外协测试试验与加工费(StaOutttesting)表服务实现类
 *
 * @author makejava
 * @since 2023-07-18 21:55:16
 */
@Service("staOutttestingService")
public class StaOutttestingServiceImpl implements StaOutttestingService {
    @Resource
    private StaOutttestingDao staOutttestingDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public StaOutttesting queryById(Integer id) {
        return this.staOutttestingDao.queryById(id);
    }

    /**
     * 分页查询
     *
     * @param staOutttesting 筛选条件
     * @param pageRequest    分页对象
     * @return 查询结果
     */
    @Override
    public Page<StaOutttesting> queryByPage(StaOutttesting staOutttesting, PageRequest pageRequest) {
        long total = this.staOutttestingDao.count(staOutttesting);
        return new PageImpl<>(this.staOutttestingDao.queryAllByLimit(staOutttesting, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param staOutttesting 实例对象
     * @return 实例对象
     */
    @Override
    public StaOutttesting insert(StaOutttesting staOutttesting) {
        this.staOutttestingDao.insert(staOutttesting);
        return staOutttesting;
    }

    /**
     * 修改数据
     *
     * @param staOutttesting 实例对象
     * @return 实例对象
     */
    @Override
    public StaOutttesting update(StaOutttesting staOutttesting) {
        this.staOutttestingDao.update(staOutttesting);
        return this.queryById(staOutttesting.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.staOutttestingDao.deleteById(id) > 0;
    }

    @Override
    public List<StaOutttesting> getWxcsList(Integer zb) {
        return this.staOutttestingDao.getWxcsList(zb);
    }

    @Override
    public int deleteByZb(Integer zb) {
        return this.staOutttestingDao.deleteByZb(zb);
    }

    @Override
    public int batchDeleteByZb(List<Integer> zbList) {
        return this.staOutttestingDao.batchDeleteByZb(zbList);
    }

    @Override
    public int insertBatch(List<StaOutttesting> expenseList) {
        return this.staOutttestingDao.insertBatch(expenseList);
    }
}
